<?php 
/**
 * 标签云
 * 
 * @package custom 
 * 
 */
?>
<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>
    <div class="archive_page">
    <div class="tagcloud">
        <h1><?php $this->title() ?></h1>
    <?php 
        $db = Typecho_Db::get();
        $options = Typecho_Widget::widget('Widget_Options');
        $tags= $db->fetchAll($db->select()->from('table.metas')
                ->where('table.metas.type = ?', 'tag')
                ->order('table.metas.order', Typecho_Db::SORT_DESC));
        foreach($tags AS $tag) {
            $type = $tag['type'];
            $routeExists = (NULL != Typecho_Router::get($type));
            $tag['pathinfo'] = $routeExists ? Typecho_Router::url($type, $tag) : '#';
            $tag['permalink'] = Typecho_Common::url($tag['pathinfo'], $options->index);
            echo "<li><a href=\"".$tag['permalink']."\" title=\"".$tag['name']."\">".$tag['name']."</a></li> ";
        }
    ?>	
		<div class="clearfix"></div>
    </div>
    </div>
	<?php $this->need('footer.php'); ?>