<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>

<div class="col-mb-12 col-8" id="main" role="main">
    <article class="post" itemscope itemtype="http://schema.org/BlogPosting">
        <h1 class="post-title" itemprop="name headline" style="text-align:center;"><?php $this->title() ?></h1>
        <ul class="post-meta" style="padding-bottom:8px;border-bottom:2px solid #eaeaea;text-align:center;">
            <li><time datetime="<?php $this->date('c'); ?>" itemprop="datePublished"><?php $this->date('Y-m-d'); ?></time></li>
            <li>分类：<?php $this->category(','); ?></li>
			<li>阅读：<a><?php get_post_view($this) ?>次</a></li>
            <li itemprop="interactionCount"><a itemprop="discussionUrl" href="<?php $this->permalink() ?>#comments"><?php $this->commentsNum('评论', '1 条评论', '%d 条评论'); ?></a></li>
        </ul>
        <div class="post-content" itemprop="articleBody">
            <?php $this->content(); ?>
        </div>
        <div class="copyright">
                        <strong>标签：</strong><?php $this->tags(', ', true, 'none'); ?><br><strong>声明：</strong>本站资源仅用作测试用途，请下载后及时删除！<br><strong>转载请注明出处：</strong><a href="<?php $this->permalink() ?>" title="<?php $this->permalink() ?>"><?php $this->permalink() ?></a>
         </div>
        <div class="postnav">
        <div class="prenav"><?php $this->thePrev('%s','没有了'); ?></div>
        <div class="nextnav"><?php $this->theNext('%s','没有了'); ?></div>
        </div>
        <div class="more-title"><?php _e('<b>猜您喜欢</b>'); ?></div>
        <div class="more-list">
        <?php $this->related(5)->to($relatedPosts); ?>
        <?php if ($relatedPosts->have()): ?>
        <?php while ($relatedPosts->next()): ?>
        <li><a href="<?php $relatedPosts->permalink(); ?>" title="<?php $relatedPosts->title(); ?>"><?php $relatedPosts->title(); ?></a></li>
        <?php endwhile; ?>
        <?php else : ?>
        <?php theme_random_posts();?>
        <?php endif; ?>
        </div>
    </article>

    <?php $this->need('comments.php'); ?>
</div><!-- end #main-->

<?php $this->need('sidebar.php'); ?>
<?php $this->need('footer.php'); ?>